::I-X Jussi Stader 2-Feb-2005
@echo off
title Operator Command Console
:: This file sets variables that are used in the run-ix-app.bat script
:: then uses that script to run the relevant I-X class (ix.ip2.Ip2)
::
:: Call and necessary classpath is built up in the run-ix-app.bat script
:: and is based on
:: java -classpath=app_path;added_path
::      added_java_params %java_params%
::      app_class_name added_app_params %app_params%
::
:: set current directory to application base
cd ..\..
set app_base=.
set app_path=
:: set application parameters
set app_params=-ipc=xml -load config\operator.props -plan-state-to-save=*
set ix_base=..\..
set java_params=
set ipc=xml
:: run the application (that script will use the variables set above)
%ix_base%\scripts\win\run-ix-app.bat ix.ip2.Ip2
pause
